/* PATTERN.H - bydate pattern manipulation functions prototypes and
               structures.
*/

typedef struct
{
   char  code;
   int   offset;
   int   length;
   char  *value; 
} ELEMENT;

typedef struct
{
   char        *pattern;
   char        *error;
   struct tm   *date;
   int         elements;
   ELEMENT     **e;
} PCB;

char  *apply_pattern(PCB *p, char *filename);
void  clear_error(PCB *p);
PCB   *free_pattern(PCB *p);
PCB   *parse_pattern(char *p, int test_mode, int debug);
char  *pattern_error(PCB *p);
int   pattern_ok(PCB *p);
